changeset 1088:4948a942de49 draft

Teach scripts/test.sh to call scripts/single.sh.
author Rob Landley <rob@landley.net>
date Tue, 15 Oct 2013 00:57:39 -0500
parents b73a61542297
children 77235d224b1d
files scripts/test.sh
diffstat 1 files changed, 6 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/test.sh	Mon Oct 14 11:15:22 2013 -0500
+++ b/scripts/test.sh	Tue Oct 15 00:57:39 2013 -0500
@@ -7,7 +7,12 @@
 
 if [ -z "$TEST_HOST" ]
 then
-  make install_flat PREFIX=testdir || exit 1
+  if [ $# -ne 0 ]
+  then
+    PREFIX=testdir/ scripts/single.sh "$@" || exit 1
+  else
+    make install_flat PREFIX=testdir || exit 1
+  fi
 fi
 
 cd testdir